Subject: SAWMILL DAY
From: "sandra h. mclean" <[email-masked]>
To: Patti Finan <[email-masked]>
Date: Mon, 07 Jul 2008 10:28:42 -0500

Beau the Crow and I must decline the generous Sawmill Day invitation.  My
baby bro decided that he was treating all of the immediate Hosmer family (My
maiden name was Sandra Jeanne Hosmer) to an Alaskan cruise reunion.  So Beau
and Don and I will be in Vancouver, B.C. waiting for an airplane back to
Detroit on August 16th.  PLEASE invite us again and we still say: "CAW CAW
CAW!"  In crow talk this means we'll miss you and we want Patti for the one
room school teacher.  XOXO Sandra